Pređi na sadržaj

The widget listing object

Attributes

iduuid

Unique identifier

product_iduuid
products.id

Identifier of the related unit

widget_iduuid
widgets.id

Identifier of the related widget

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

ordersmallint

Order of the listing as displayed in the widget

urlMultiLanguageString

Localized URL of the listing. Only applies when widgets.interaction is forward or forward-same-tab

Related resources

Embed related resources in the response with the select parameter, for example select=*,products(*). Resources related through more than one column need the column as a hint, like table!column(*).

products(*)object | null
products

The product referenced by product_id.

widgets(*)object | null
widgets

The widget referenced by widget_id.

The widget listing object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "widget_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:27:57.051Z",
  "updated_at": "2026-10-30T22:27:57.051Z",
  "order": 0,
  "url": {}
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/widget_listings?limit=10&select=*,products(*),widgets(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List widget listings

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

widget_idFilter<uuid>
widgets.id

Identifier of the related widget

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<smallint>

Order of the listing as displayed in the widget

urlFilter<MultiLanguageString>

Localized URL of the listing. Only applies when widgets.interaction is forward or forward-same-tab

Responses

200

A list of widget listings with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /widget_listings
curl -X GET "https://api.bookingmood.com/v1/widget_listings?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "widget_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.051Z",
    "updated_at": "2026-10-30T22:27:57.051Z",
    "order": 0,
    "url": {}
  }
]

Create widget listings

Body

Partial<WidgetListing> | Array<Partial<WidgetListing>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created widget listings with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /widget_listings
curl -X POST "https://api.bookingmood.com/v1/widget_listings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "order": 0,
    "product_id": "00000000-0000-0000-0000-000000000000",
    "url": {},
    "widget_id": "00000000-0000-0000-0000-000000000000"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "widget_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.051Z",
    "updated_at": "2026-10-30T22:27:57.051Z",
    "order": 0,
    "url": {}
  }
]

Delete widget listings

Filters

Without filters, this request deletes all widget listings you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

widget_idFilter<uuid>
widgets.id

Identifier of the related widget

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<smallint>

Order of the listing as displayed in the widget

urlFilter<MultiLanguageString>

Localized URL of the listing. Only applies when widgets.interaction is forward or forward-same-tab

Responses

200

The deleted widget listings with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /widget_listings
curl -X DELETE "https://api.bookingmood.com/v1/widget_listings?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "widget_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.051Z",
    "updated_at": "2026-10-30T22:27:57.051Z",
    "order": 0,
    "url": {}
  }
]

Update widget listings

Filters

Without filters, this request updates all widget listings you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

widget_idFilter<uuid>
widgets.id

Identifier of the related widget

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<smallint>

Order of the listing as displayed in the widget

urlFilter<MultiLanguageString>

Localized URL of the listing. Only applies when widgets.interaction is forward or forward-same-tab

Body

Partial<WidgetListing>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated widget listings with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /widget_listings
curl -X PATCH "https://api.bookingmood.com/v1/widget_listings?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "order": 0
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "widget_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.051Z",
    "updated_at": "2026-10-30T22:27:57.051Z",
    "order": 0,
    "url": {}
  }
]

Preuzmite kontrolu nad svojim rezervacijama. Izgradite svoj posao.

Pridružite se 1200+ nezavisnim kompanijama za iznajmljivanje smeštaja koristeći Bookingmood kako biste povećali broj direktnih rezervacija i izgradili jače odnose sa gostima.

Započnite besplatnu probnu verziju od 14 dana